There is no visual indication that a task contains some text

Bug #384049 reported by Laurent Peuch on 2009-06-05
26
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Getting Things GNOME!
Low
Luca Invernizzi

Bug Description

When a task containt more informations than tags or subtask ther isn't any visual indication that this task containt more informations. This is bad because you have to check by yourself that there is informations in it and you can lose informations easly.

Related branches

I agree. Have you any idea on what can be done ?

I suggest to behave the same way than tracks, a RoR webapp for GTD, it
display a small icone at the end of the task (like on the task "email jane
for garages recommendations" on the screenshoot) when a task contain more
information:
http://getontracks.org/images/uploads/tracks_home.png

2009/6/5 Lionel Dricot <email address hidden>

> I agree. Have you any idea on what can be done ?
>
> --
> There is no visual indication that a task containt some text
> https://bugs.launchpad.net/bugs/384049
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Getting Things GNOME!: New
>
> Bug description:
> When a task containt more informations than tags or subtask ther isn't any
> visual indication that this task containt more informations. This is bad
> because you have to check by yourself that there is informations in it and
> you can lose informations easly.
>

I like the idea. We should experiment a little bit. Thanks for the tracks screenshot.

Changed in gtg:
importance: Undecided → Low
milestone: none → 0.2
status: New → Confirmed
Changed in gtg:
milestone: 0.2 → 0.3
Paul Natsuo Kishimoto (khaeru) wrote :

Another option would be to display some of the text in the same cell as the title. Put a little space between it and the title, make it partially greyed out/faded, and ellipsize "..." at the end of the cell.

That works well in gmail and such. No idea what it will look like in a
GTK application, but I would be prudent with integrating such
mechanisms in trees. It's worth trying though. I'd like to experiment
the result before deciding anything.

On Wed, Dec 16, 2009 at 4:52 AM, Paul Kishimoto
<email address hidden> wrote:
> Another option would be to display some of the text in the same cell as
> the title. Put a little space between it and the title, make it
> partially greyed out/faded, and ellipsize "..." at the end of the cell.
>
> --
> There is no visual indication that a task containt some text
> https://bugs.launchpad.net/bugs/384049
> You received this bug notification because you are subscribed to Getting
> Things GNOME!.
>

--
Bertrand Rousseau

I've quicky implemented a possible look.
Try it with:
bzr branch lp:~gtg-user/gtg/gmail-like-ui
cd gmail*
./script/debug.sh

And tell me what you think.

Changed in gtg:
assignee: nobody → Luca Invernizzi (invernizzi)
Luca Invernizzi (invernizzi) wrote :

bertrand, your opinion would be much appreciated (I've heard ploum and tareth on IRC)

Right now, I'm not really convinced. It's hard to say since this is a
quick hack. I guess we should get rid the tags, and the markup, and
display directly the first line of text. Maybe that would reduce the
feeling of clutter, and having useful information will bring
additional interest in this feature.

IMHO the indentation of task and subtasks interferes with this: it
creates blank spaces on the left, and having filled space on the right
makes it feel like there's something missing. GMail does not suffer
from these since every item is justified on the left. Visually, that
creates an homogeneous feeling, which is nice. Here, with the
indentation, the effect is not the same. It's hard to clearly say why,
but it doesn't feel completely right.

Maybe some alternative formatting could help, like reducing slightly
the size of the text, to create a stronger visual separation. Or even
putting the text on another line, having then wider rows for each
tasks.

I think we should experiment more alternatives before deciding on this.

On Thu, Jan 7, 2010 at 11:11 PM, Luca Invernizzi <email address hidden> wrote:
> bertrand, your opinion would be much appreciated (I've heard ploum and
> tareth on IRC)
>
> --
> There is no visual indication that a task containt some text
> https://bugs.launchpad.net/bugs/384049
> You received this bug notification because you are subscribed to Getting
> Things GNOME!.
>

--
Bertrand Rousseau

I like this idea, but I agree that we need to experiment a little to work out the details.
I committed a patch to your branch that avoids showing the XML.

Luca Invernizzi (invernizzi) wrote :

@Kevin: thanks for the patch!
I agree with Bertrand. I've implemented the "smaller text" idea. It does look more "professional". Whenever anyone has time, take a look and give some feedback.

Jonathan Lange (jml) on 2010-01-20
summary: - There is no visual indication that a task containt some text
+ There is no visual indication that a task contains some text
Paul Natsuo Kishimoto (khaeru) wrote :

This looks really good!

I am adding a screenshot for those who don't want to take the time to run the code.

Bertrand, now that Kevin's patch has addressed some of your points, what do you think of it? I don't feel the preview text is overwhelming.

One thing I did notice is that the preview text is lighter than Gmail's — a ~27% grey (#bbb) versus a ~47% grey (#777). For me this makes it harder to read on a white or coloured background.

Paul > the color should not be hardcoded! (what if a theme use that grey as default background color). Instead, we should use the inactive color of the theme or make the default color lighter.

Laurent Peuch (psycojoker) wrote :

Yeah, cool improvement, it looks great !
I agree that the color is currently to lighter but I'm convinced it's only a temporary problem.

And thanks for the screenshot, Paul.

Indeed, this proposal feels better with the adjustments. Since, there are several open bugs related to the browser UI regarding columns, tags "squares", I believe that we will have to consider with some UI redesign of the task list sometime in upcoming versions. I'll make sure to add this idea to the list of things to consider once I will work on this aspect.

Changed in gtg:
assignee: Luca Invernizzi (invernizzi) → nobody

I tested the gmail-ui branch and I found it really interesting. I hope that something similar will appear in the trunk soon.

I think I found a bug. The "preview" displays the arrow of the subtask, that is not the expected behavior.

Test plan :

- Create a task
- Create a subtask
- Click somewhere to force the treeview to be refreshed
- Check that the preview contains an arrow similar to "->"

Luca Invernizzi (invernizzi) wrote :

Alexandre, thanks for the testing! I'll fix bugs on this branch only if it gets accepted.

Paul Natsuo Kishimoto (khaeru) wrote :

What is necessary to get it accepted?

Kevin Mehall (kevin-mehall) wrote :

I fixed Alexandre's subtask arrow bug.

Paul> The one thing mentioned above is using a theme color instead of a hard-coded color.

Luca/Lionel/Bertrand> Anything else?

Luca Invernizzi (invernizzi) wrote :

Kevin and I have come up with two different solutions for this bug: implementing it as a plugin and in GTG core.
You can try the core implementation at lp:~gtg-user/gtg/gmail-like-ui, which adds an option in the "view" menu.
The plugin implementation is available at lp:~gtg-user/gtg/customization_plugin/, look for a "Gmail-like interface" in the plugin menu.

Which one should we merge?

Paul Natsuo Kishimoto (khaeru) wrote :

Unless there's a big performance hit, core!

We can move the option from the view menu to the preferences dialog once that lands.

tags: added: toreview
Bryce Harrington (bryce) wrote :

I definitely agree this is a necessary feature, and I like the way it's been coded. So here's my +1 for this. Inclusion in core makes the most sense to me, for whatever my opinion would count...

There seems to be a consensus to put that in core. Is the branch ready for merge ?

Bryce Harrington (bryce) wrote :

I've been running the core branch since earlier today, without any serious incidents. I think it is ready to merge. It's quite handy.

What about a preference to enable/disable it ? Should we fill that as a separate bug and merge anyway ?

Luca Invernizzi (invernizzi) wrote :

There's already the checkbox for it. I'll merge and write the code for the checkbox.

Luca Invernizzi (invernizzi) wrote :

Bryce, have you already merged the branch with 0.3?

On Tue, Apr 27, 2010 at 01:59:18PM -0000, Luca Invernizzi wrote:
> Bryce, have you already merged the branch with 0.3?

Sorry, no, I run a 0.2 branch for my day-to-day work and merged it into
that. I didn't check if it works with 0.3 or not.

Changed in gtg:
status: Confirmed → Fix Committed
assignee: nobody → Luca Invernizzi (invernizzi)
Changed in gtg:
milestone: 0.3 → 0.2.9
Izidor Matušov (izidor) on 2012-02-13
Changed in gtg:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments